#ifndef CONTROLSVIEW_H
#define CONTROLSVIEW_H

#include <QtGui/QGraphicsView>
#include <QtGui/QGraphicsEllipseItem>

class OurButton : public QObject, public QGraphicsEllipseItem
{
	Q_OBJECT
	public:
		OurButton(QGraphicsItem* parent = 0, QGraphicsScene* scene = 0);
		void mouseReleaseEvent(QGraphicsSceneMouseEvent* event);
		void setActivated(bool state);
	signals:
		void clicked(int i);
};

class ControlsView : public QGraphicsView
{
	Q_OBJECT
	public:
		ControlsView(QWidget* parent = 0);
		
	public slots:
		void setCurrent(qreal time);
		
	private slots:
		void changeCurrent(int i);
	
	signals:
		void progressChanged(qreal time);
		
	private:
		QList<OurButton*> m_elements;
};

#endif // CONTROLSVIEW_H
